# -*- coding: utf-8 -*-


STATUT_BIO = ((0, "autre"), (1, "conventionnel"), (2, "bio"))

ACTIVITE_BIO = ((0, "conventionnel"), (1, "projet bio"), (2, "bio"))

ACTIVITE_LISTE = (
    ('', "---"),
    ('autre', "Autre activité (préciser)"),
    ('autre_elevage', "Autre élevage"),
    ('apiculture', "Apiculture"),
    ('arboriculture', "Arboriculture"),
    ('autre_prod_veg', "Autre production végétale"),
    ('bovin_lait', "Bovin lait"),
    ('bovin_viande', "Bovin viande"),
    ('caprin', "Caprin"),
    ('fourrage', "Fourrage"),
    ('grande_culture', "Grande culture"),
    ('lapin', "Lapin"),
    ('legume_pl_champ', "Légume plein champ"),
    ('maraichage', "Maraîchage"),
    ('ovin_lait', "Ovin lait"),
    ('ovin_viande', "Ovin viande"),
    ('porcin', "Porcin"),
    ('poule_pondeuse', "Poule pondeuse"),
    ('ppam', "PPAM"),
    ('viticulture', "Viticulture"),
    ('volaille_chair', "Volaille de chair"),
)

CHOIX_CIVILITE = (('M.', 'Monsieur'), ('Mme', 'Madame'))

CHOIX_PARCS_NATURELS_REGIONAUX = (
    ("", "Aucun"),
    (
        "Parc naturel régional des Caps et Marais d'Opale",
        "Parc naturel régional des Caps et Marais d'Opale",
    ),
    (
        "Parc naturel régional Scarpe-Escaut",
        "Parc naturel régional Scarpe-Escaut",
    ),
    (
        "Parc naturel régional de l'Avesnois",
        "Parc naturel régional de l'Avesnois",
    ),
)

CHOIX_VISIBILITE = (
    ("personne", "Dépublié"),
    ("tous", "Visible par tous"),
    ("adherents", "Visible par les adhérents seulement"),
)

# Type de vente (utilisé dans Assolement)
CHOIX_TYPE_CIRCUIT = (
    ("VD", "Vente Directe"),
    ("CC", "Circuit court"),
    ("CL", "Circuit long"),
)

CHOIX_COMMERCIALISATION_VENTE_DIRECTE = (
    ("paniers", "Paniers"),
    ("vente à la ferme", "Vente à la ferme"),
    ("marchés", "Marchés"),
    ("autres", "Autres"),
)

CHOIX_COMMERCIALISATION_CIRCUIT_COURT = (
    ("biocabas", "Biocabas"),
    ("distributeurs", "Distributeurs"),
    ("autres", "Autres"),
)

CHOIX_COMMERCIALISATION_CIRCUIT_LONG = (
    ("transformateurs", "Transformateurs"),
    ("marchés de gros", "Marché de gros"),
    ("autres", "Autres"),
)

CHOIX_SYSTEME_FORCAGE_ENDIVES = (
    ("aucun", "Aucun"),
    ("en salle", "En salle"),
    ("en pleine terre", "En pleine terre"),
)

CHOIX_TYPE_ATELIER = (
    ("dispense d'agrément", "Dispense d'agrément"),
    ("agrément CEE", "Agrément CEE"),
)

# # from forms

CHOIX_NULLBOOLEAN = (('ind', 'Indifférent'), ('oui', 'Oui'), ('non', 'Non'))

CHOIX_TYPE_RDV = (
    (
        'Individuel',
        (
            ('premier_diagnostic', 'Premier diagnostic'),
            ('etude', 'Étude'),
            ('suivi_projet', 'Suivi projet'),
            ('suivi_conversion', 'Suivi de conversion'),
            ('visite_annuelle', 'Suivi bio'),
            ('contrat_obj', "Contrat d'objectif"),
            ('diag_sens', "Diagnostic de sensibilité"),
            ('suivi_presta', "Suivi en prestation"),
        ),
    ),
    (
        'Collectif',
        (
            ('evt', 'Evenement'),
            ('formation', 'Formation'),
            ('visite_ferme', 'Visite de ferme'),
            ('autre', 'Autre'),
        ),
    ),
)


MTX_TYPE_RDV = {
    'pbio': set(
        ('premier_diagnostic', 'etude', 'suivi_conversion', 'suivi_projet')
    ),
    'indiv': set(
        (
            'premier_diagnostic',
            'etude',
            'suivi_conversion',
            'visite_annuelle',
            'suivi_projet',
            'contrat_obj',
            'diag_sens',
            'suivi_presta',
        )
    ),
    'collect': set(('evt', 'formation', 'visite_ferme')),
}

# Choix de l'année de premier contact
CHOIX_ANNEE = [(i, i) for i in range(2008, 2019)]

# Choix de mois (de premier contact)
CHOIX_MOIS = (
    (1, 'Janvier'),
    (2, 'Février'),
    (3, 'Mars'),
    (4, 'Avril'),
    (5, 'Mai'),
    (6, 'Juin'),
    (7, 'Juillet'),
    (8, 'Août'),
    (9, 'Septembre'),
    (10, 'Octobre'),
    (11, 'Novembre'),
    (12, 'Décembre'),
)

CHOIX_TERME = (
    ('long terme', 'Long terme'),
    ('moyen terme', 'Moyen terme'),
    ('date fournie', 'Date précisée ci-après'),
)

POND_CONV = (
    (-1, 'frein à la conversion '),
    (0, 'neutre'),
    (1, 'point favorable à la conversion'),
)

TYPE_TRANS = (
    ('lait', "Produits laitiers"),
    ('fruits', "Fruits"),
    ('legumes', "Légumes"),
    ('cereales', "Céreales"),
    ('autres', "Autres"),
)

TYPE_CIRCUIT = (
    ("autre", "Autre point de vente"),
    ("marche", "Marché"),
    ("vte_ferme", "Vente à la Ferme"),
    ("ceuill_lib", "cueillette libre"),
    ("panier_caiss", "Paniers/Caissettes"),
    ("amap", "AMAP"),
    ("biocabas", "Biocabas"),
    ("vte_collect", "Point de vente collectif"),
    ("vte_inet", "Vente par internet"),
    ("magasin", "Magasins"),
    ("rest_comm", "Restauration commerciale"),
    ("rest_hors_dom", "Restauration collective"),
    (
        "c_long",
        "Circuits longs (grossiste, coopérative,"
        " autre acheteur intermédiaire)",
    ),
)

TYPE_PRODUIT = (
    ("autre", "autres"),
    ("legume", "Légumes"),
    ("fruit", "Fruits"),
    ("cereale", "Produits céréaliers"),
    ("viande", "Viande"),
    ("p_lait", "Produits laitiers"),
    ("oeuf", "Œufs"),
)

TYPE_AGREMENT = (("dispence", "Dispense"), ("ce", " CE"), ("aucun", " aucun"))

MODE_REGLT = (("chq", "Chèque"), ("vir", "Virement"), ("esp", "Espèces"))
# EOF
