from django.core.exceptions import ValidationError


def validate_plain_location(value):
    "value est censé être une chaine décrivant 2 nombres flottant"
    if value is None or value == '':  # on autorise une valeur vide
        return
    is_valid = True
    try:
        list_val = value.split(',')
    except AttributeError:
        is_valid = False
    else:
        try:
            latitude, longitude = [float(elm) for elm in list_val]
        except ValueError:
            is_valid = False
    if not is_valid:
        raise ValidationError(
            '%(value)s ne sont pas des coordonnées valides',
            params={'value': value},
            code='invalid_coord',
        )
