# -*- coding: utf-8 -*-
import django.contrib.auth.decorators as auth_dec
import django.contrib.auth.urls as auth_urls
import django.contrib.auth.views as auth_views
import django.views.generic as gviews
from django.conf.urls import include, url
from django.urls import reverse_lazy

import gaby.contacts.views as cviews

urlpatterns = (
    url(r'^$', cviews.AccueilPublic.as_view(), {}, name="public"),
    url(
        r'^agri/$',
        cviews.PubStructureListFilter.as_view(),
        {},
        name="pub_agri",
    ),
    url(
        r'^agri/(?P<pk>\d+)/$',
        cviews.PubStructureDetail.as_view(),
        {},
        name="pub_agri_detail",
    ),
    url(
        r'^agri/(?P<pk>\d+)/$',
        cviews.PubStructureDetail.as_view(),
        {},
        name="pub_agri_detail",
    ),
    url(
        r'^adh/structure/(?P<pk>\w+)/$',
        auth_dec.login_required(cviews.UpdateStructAdh.as_view()),
        {},
        name="adh_struct_update",
    ),
    url(
        r'^adh/(?P<struct_pk>\d+)/donneebio/add/$',
        auth_dec.login_required(cviews.CreateDonneesBioAdh.as_view()),
        {},
        name="adh_donneesbio_add",
    ),
    url(
        r'^adh/donneesbio/(?P<pk>\w+)/$',
        auth_dec.login_required(cviews.DetailDonneesBioAdh.as_view()),
        {},
        name="adh_donneesbio_detail",
    ),
    url(
        r'^adh/donneesbio/(?P<pk>\w+)/edit/$',
        auth_dec.login_required(cviews.UpdateDonneesBioAdh.as_view()),
        {},
        name="adh_donneesbio_update",
    ),
    url(
        r'validation/recap/$',
        auth_dec.permission_required('contacts.change_structure')(
            cviews.ListAdhValidationRecap.as_view()
        ),
        {},
        name='validation_recap',
    ),
    # Login/mdp
    # Gestion de la connexion et des mots de passe
    url(
        r'^accounts/profile/$',
        auth_dec.login_required(cviews.DetailAdh.as_view()),
        {},
        name="adh_profile",
    ),
    url(
        r'^accounts/$',
        gviews.RedirectView.as_view(
            url=reverse_lazy('public'), permanent=False
        ),
    ),
    url(r'^accounts/logout/$', auth_views.logout_then_login),
    url(r'^accounts/', include(auth_urls)),
)

# EOF
